Loading...
Searching...
No Matches
Dune::CompressionStatistics< size_type > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Sparse Matrix and Vector classes

Statistics about compression achieved in implicit mode. More...

`#include <dune/istl/bcrsmatrix.hh>`

## Public Attributes

double | avg
| average number of non-zeroes per row.
size_type | maximum
| maximum number of non-zeroes per row.
size_type | overflow_total
| total number of elements written to the overflow area during construction.
double | mem_ratio
| fraction of wasted memory resulting from non-used overflow area.

## Detailed Description

template<typename size_type>
struct Dune::CompressionStatistics< size_type >

Statistics about compression achieved in implicit mode.

To enable the user to tune parameters of the implicit build mode of a Dune::BCRSMatrix manually, some statistics are exported upon during the compression step.

## Member Data Documentation

## avg

template<typename size_type>

double Dune::CompressionStatistics< size_type >::avg

average number of non-zeroes per row.

## maximum

template<typename size_type>

size_type Dune::CompressionStatistics< size_type >::maximum

maximum number of non-zeroes per row.

## mem_ratio

template<typename size_type>

double Dune::CompressionStatistics< size_type >::mem_ratio

fraction of wasted memory resulting from non-used overflow area.

mem_ratio is equal to nonzeros()/(# allocated matrix entries).

## overflow_total

template<typename size_type>

size_type Dune::CompressionStatistics< size_type >::overflow_total

total number of elements written to the overflow area during construction.

The documentation for this struct was generated from the following file:

- bcrsmatrix.hh